import random
import sqlite3

db_path = 'dinosaur_info.db'
conn = sqlite3.connect(db_path)
cursor = conn.cursor()


def get_random_row():
    cursor.execute("SELECT COUNT(*) FROM dinosaurs")
    count = cursor.fetchone()[0]
    random_index = random.randint(0, count - 1)
    cursor.execute(f"SELECT * FROM dinosaurs LIMIT 1 OFFSET {random_index}")
    row = cursor.fetchone()
    return row


def search_row_by_name(name):
    cursor.execute("SELECT * FROM dinosaurs WHERE name = ?", (name,))
    row = cursor.fetchone()
    return row


def add_dinosaur(name, description):
    cursor.execute("SELECT MAX(id) FROM dinosaurs")
    max_id = cursor.fetchone()[0]
    next_id = max_id + 1 if max_id else 1
    cursor.execute("INSERT INTO dinosaurs (id, name, description) VALUES (?, ?, ?)", (next_id, name, description))
    conn.commit()
